samba upgrade fails

Bug #875172 reported by robert marshall on 2011-10-15
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Undecided
Unassigned

Bug Description

In upgrading from 11.04 to 11.10 I got the following messages:
2011-10-15 16:02:27,851 ERROR got an error from dpkg for pkg: '/var/cache/apt/archives/samba_2%3a3.5.11~dfsg-1ubuntu2_i386.deb': 'subprocess new post-removal script returned error exit status 2'
2011-10-15 16:02:27,851 DEBUG running apport_pkgfailure() samba: subprocess new post-removal script returned error exit status 2
2011-10-15 16:02:27,885 ERROR got an error from dpkg for pkg: '/var/cache/apt/archives/samba_2%3a3.5.11~dfsg-1ubuntu2_i386.deb': 'subprocess new post-removal script returned error exit status 2'
2011-10-15 16:20:40,419 ERROR got an error from dpkg for pkg: 'samba': 'package samba is not ready for configuration cannot configure (current status `half-installed')'
2011-10-15 16:20:40,419 DEBUG running apport_pkgfailure() samba: package samba is not ready for configuration cannot configure (current status `half-installed')
2011-10-15 16:20:40,459 ERROR got an error from dpkg for pkg: 'samba': 'package samba is not ready for configuration cannot configure (current status `half-installed')'
On rebooting into 11.10 the upgrade of that package worked correctly

From term.log:
Preparing to replace samba 2:3.5.8~dfsg-1ubuntu2.3 (using .../samba_2%3a3.5.11~dfsg-1ubuntu2_i386.deb) ...
nmbd stop/waiting
buntu3_i386.deb) ...
smbd stop/waiting
Unpacking replacement samba ...
debconf: Unable to initialise frontend: Gnome
debconf: (Unable to load Gtk -- is libgtk2-perl installed?)
debconf: falling back to frontend: Dialog
1_i386.deb) ...
Can't locate File/Temp.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /usr/share/perl5/DebianNet.pm line 18.
BEGIN failed--compilation aborted at /usr/share/perl5/DebianNet.pm line 18.
Compilation failed in require at /usr/sbin/update-inetd line 23.
dpkg: warning: subprocess old post-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
dpkg: error processing /var/cache/apt/archives/samba_2%3a3.5.11~dfsg-1ubuntu2_i386.deb (--unpack):
 subprocess new post-removal script returned error exit status 2

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: update-manager (not installed)
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic-pae 3.0.4
Uname: Linux 3.0.0-12-generic-pae i686
NonfreeKernelModules: nvidia
ApportVersion: 1.23-0ubuntu3
Architecture: i386
Date: Sat Oct 15 18:22:45 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: update-manager
UpgradeStatus: Upgraded to oneiric on 2011-10-15 (0 days ago)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed
RedSingularity (redsingularity) wrote :

Sorry for the delay. Are you still having this problem?
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in update-manager (Ubuntu):
status: Confirmed → Incomplete

It only occurred when performing the upgrade - when I manually upgraded the package that worked ok. So I'm afraid it is difficult to verify whether the problem would occur again. I have another m/c to upgrade will check whether this has the same problem.

RedSingularity (redsingularity) wrote :

That would be great. Thanks.
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Launchpad Janitor (janitor) wrote :

[Expired for update-manager (Ubuntu) because there has been no activity for 60 days.]

Changed in update-manager (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers